commit: babc44d7ab86a7489126b9dc0dad6a711563deb9
Author: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 08:17:36 2016 +0000
Commit: Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 08:17:36 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=babc44d7
dev-python/xmltodict: rev-bump for py-3.5 compat and EAPI-6
Package-Manager: portage-2.2.28
dev-python/xmltodict/xmltodict-0.10.1-r1.ebuild | 23 +++++++++++++++++++++++
1 file changed, 23 insertions(+)
diff --git a/dev-python/xmltodict/xmltodict-0.10.1-r1.ebuild
b/dev-python/xmltodict/xmltodict-0.10.1-r1.ebuild
new file mode 100644
index 0000000..a969498
--- /dev/null
+++ b/dev-python/xmltodict/xmltodict-0.10.1-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} pypy pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Makes working with XML feel like you are working with JSON"
+HOMEPAGE="https://github.com/martinblech/xmltodict/
https://pypi.python.org/pypi/xmltodict/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+ nosetests || die "Tests fail with ${EPYTHON}"
+}